Geodesic.hpp File Reference

Header for GeographicLib::Geodesic class. More...

`#include <GeographicLib/Constants.hpp>`
`#include <GeographicLib/GeodesicExact.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::Geodesic
| Geodesic calculations More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_GEODESIC_ORDER

## Detailed Description

Header for GeographicLib::Geodesic class.

Copyright (c) Charles Karney (2009-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Geodesic.hpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_GEODESIC_ORDER

#define GEOGRAPHICLIB_GEODESIC_ORDER

Value:
(GEOGRAPHICLIB_PRECISION == 2 ? 6 : \
(GEOGRAPHICLIB_PRECISION == 1 ? 3 : \
(GEOGRAPHICLIB_PRECISION == 3 ? 7 : 8)))
GEOGRAPHICLIB_PRECISION
#define GEOGRAPHICLIB_PRECISION
Definition: Math.hpp:35

The order of the expansions used by Geodesic. GEOGRAPHICLIB_GEODESIC_ORDER can be set to any integer in [3, 8].

Definition at line 21 of file Geodesic.hpp.